> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cusrev Reviews

> This endpoint is used to fetch reviews from cusrev for a specified business.



## OpenAPI

````yaml POST /cusrev/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /cusrev/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from cusrev for a specified
        business.
      requestBody:
        description: Cusrev review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CusrevReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CusrevReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    CusrevReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Cusrev Review url.
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        sort_type:
          type: string
          description: Order in which reviews should be sorted
          enum:
            - most_recent
            - highest_rate
          default: most_recent
        pagination_token:
          type: string
          description: >-
            The next_page received with the past request, which is required for
            the pagination
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    CusrevReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              author_country_code:
                type: string
                description: Country code of the review author
              author_email:
                type: string
                description: Email address of the review author
              author_first_name:
                type: string
                description: First name of the review author
              author_last_name:
                type: string
                description: Last name of the review author
              author_location:
                type: string
                description: Location of the review author
              author_name:
                type: string
                description: Full name of the review author
              author_verified_current_user:
                type:
                  - boolean
                  - 'null'
                description: Whether the author is verified as current user
              dislike_count:
                type: integer
                description: Number of dislikes for the review
              like_count:
                type: integer
                description: Number of likes for the review
              oreder_id:
                type: string
                description: Order ID associated with the review
              product_id:
                type: string
                description: Product ID being reviewed
              product_name:
                type: string
                description: Name of the product being reviewed
              query:
                type: string
                description: Original query URL
              review_date:
                type: string
                description: Date when the review was posted
              review_id:
                type: integer
                description: Unique identifier for the review
              review_rating:
                type: integer
                description: Rating given in the review
              review_reply:
                type: object
                properties:
                  reply_date:
                    type: string
                    description: Date when the reply was posted
                  reply_text:
                    type: string
                    description: Content of the reply
                  reply_id:
                    type: string
                    description: ID of the reply
                  replier_name:
                    type: string
                    description: Name of the replier
                  replyUpvotes:
                    type: integer
                    description: Number of upvotes for the reply
                  replyDownvotes:
                    type: integer
                    description: Number of downvotes for the reply
                description: Reply information for the review
              review_text:
                type: string
                description: Content of the review
              review_title:
                type: string
                description: Title of the review
              shop_domian:
                type: string
                description: Domain of the shop being reviewed
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the reviews
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````